<?php
/*
Автор скрипта: Juse
Модификация: Jahak
*/

include_once "config.php";
include_once "head.php";
include_once "funkcions.php";

if (!isset($_GET['action'])) {
    $up = dirname(realpath($_GET['did']));
    $up = str_replace("/", "%2f", $up);
    $vi = realpath($_GET['did']);
    $vi = str_replace("../", "", $vi);
?>
<div class="bmenu"><u>Путь:</u> <?php echo $vi; ?><br />
<form action="index.php?action=go" method="post">
<input type="text" name="url" value="<?php echo $vi; ?>/"/>
<input type="submit" value="Перейти"/>
</form>
</div>
<div class="gmenu">
<img src="img/back.png" alt="/" /> <a href="?did=<?php echo $up; ?>%2f">Предыдущая директория</a>
</div>
<div class="bmenu">
<?php
    $dir_array = array();
    if ($dir = opendir($_GET['did'])) {
        while (false !== ($file = readdir($dir))) {
            if ($file == "." || $file == "..") {
                continue;
            }
            $dir_array[] = $file;
        }
        closedir($dir);
    }
    asort($dir_array);

    $total = count($dir_array);
    if (file_exists($_GET['did'])) {
        if (!$total<1){
                for ($i = 0; $i < $total; $i++){
                    $_GET['did'] = str_replace("%2f", "/", $_GET['did']);
                    if (is_dir($_GET['did']."$dir_array[$i]")){
                        $countdir++;
                        $_GET['did'] = str_replace("/", "%2f", $_GET['did']);
                        $szf = read_dir($_GET['did'].''.$dir_array[$i].'%2f');
                        if (($szf>=1)&&($szf<1024)) {
                            $szf = $szf.'&nbsp;byte';
                        }
                        if (($szf>=1024)&&($szf<1048576)) {
                            $szf = strtr(round($szf/1024, 2), ".", ",")."&nbsp;kb";
                        }
                        if ($szf>=1048576) {
                            $szf = strtr(round($szf/1024/1024, 2), ".", ",")."&nbsp;mb";
                        }
                        echo '<a href="?action=viewdir&amp;did='.$_GET['did'].''.$dir_array[$i].'%2f" title="Функции папки '.$dir_array[$i].'"><img src="img/dir.gif" alt="dir" /></a>&nbsp;/&nbsp;<a href="?did='.$_GET['did'].''.$dir_array[$i].'%2f" title="Открыть папку '.$dir_array[$i].'">'.$dir_array[$i].'</a> '.$szf.'<br />' . "\n";
                    } else {
                        $countfid++;
                        $_GET['did'] = str_replace("/", "%2f", $_GET['did']);
                        if ($_GET['did']==''){
                            $szd = '';
                        } else {
                            $szd = formatsize(filesize($vi.'/'.$dir_array[$i]));
                        }
                        $arrext = array('.xml', '.wml', '.asp', '.aspx', '.shtml', '.htm', '.phtml', '.html', '.xhtml', '.php', '.htt', '.dat', '.tpl', '.htaccess', '.py', '.pyw', '.exe', '.jad', '.jar', '.js', '.jsp', '.mid', '.mmf', '.mp3', '.psd', '.rar', '.zip', '.css', '.txt', '.sql', '.swf', '.3gp', '.mp4', '.avi', '.ttf', '.gif', '.png', '.bmp', '.wbmp', '.jpg', '.jpeg', '.xls', '.doc', '.ppt', '.wmv');
                        $ext = strtolower(strrchr($dir_array[$i], "."));
                        echo '<img src="img/'.icons($ext).'" alt="image" />&nbsp;';
                        if (in_array($ext, $arrext)) {
                            echo '<a href="?action=viewfile&amp;fid='.$_GET['did'].''.$dir_array[$i].'" title="Функции файла '.$dir_array[$i].'">'.$dir_array[$i].'</a> ('.$szd.')<br />' . "\n";
                        } else {
                            echo '<a href="?action=viewfile&amp;fid='.$_GET['did'].''.$dir_array[$i].'" title="Функции файла '.$dir_array[$i].'">'.$dir_array[$i].'</a> ('.$szd.')<br />' . "\n";
                        }
                    }
                }
            } else {
                echo '<center><b>Папка пуста!</b></center><br />';
        }
    } else {
        echo '<center><b>Не верно указан путь!</b></center>';
    }
    echo '<br />Папок: '.(int) $countdir.' / Файлов: '.(int) $countfid.'</div>';
}

if($_GET['action']=="iconv"){
    if(empty($_GET['fid'])){
        header('Location: index.php?did='.$_GET['did']);
        exit;
    }
    if(!empty($_POST['v']) or !empty($_POST['iz'])){
        $fil = str_replace('%2f', '/', $_GET['fid']);
        $file = file($fil);
        for($i=0; $i<count($file); $i++){
            $f = fopen($fil.'-recode', 'a+');
            $text = iconv($iz, $v, $file[$i]);
            fwrite($f, "$text\r\n");
            chmod($f, 0666);
        }
        echo 'Файл перекодирован<br /><a href="?">назад</a>';
    } else {
        echo '<form action="index.php?action=iconv&amp;fid='.$_GET['fid'].'" method="post">Из<br /><input type="radio" value="UTF-8" name="iz" />UTF-8<br /><input type="radio" value="Windows-1251" name="iz" checked />Windows-1251<br /><input type="radio" value="KOI8-U" name="iz" />KOI8-U<br />В<br /><input type="radio" value="UTF-8" name="v" checked />UTF-8<br /><input type="radio" value="Windows-1251" name="v" />Windows-1251<br /><input type="radio" value="KOI8-U" name="v" />KOI8-U<br /><input type="submit" value="Перекодировать" /></form>';
    }
}

if ($_GET['action']=="phpinfo"){
    ob_start();
    phpinfo();
    $info = ob_get_contents();
    ob_end_clean();
    echo '<div class="list2">';
    echo preg_replace('%^.*<body>(.*)</body>.*$%ms', '$1', $info);
    echo '</div>';
}

if ($_GET['action']=="viewdir"){
    if (file_exists($_GET['did'])  || is_dir($_GET['did'])){
        $sf = str_replace("..", "", $_GET['did']);
        echo '<div class="bmenu">Функции папки: <b>'.$sf.'</b></div>';
$_GET['did'] = str_replace("/", "%2f", $_GET['did']);
    echo '<div class="menu"><a href="?did='.$_GET['did'].''.$dir_array[$i].'">Просмотреть</a><br />' .
    '<!-- <a href="unzip.php?action=inzip&amp;zip='.$_GET['did'].'&q=1">Запаковать папку</a> (zip)<br /> -->' .
    '<a href="viewdir.php?action=rename&amp;did='.$_GET['did'].'&">Переименовать</a><br />' .
    '<a href="viewdir.php?action=deldir&amp;did='.$_GET['did'].'">Удалить</a><br />' .
    '<!-- <a href="copy.php?copy='.$_GET['did'].'&">Копировать</a><br />' .
    '<a href="perenoss.php?copy='.$_GET['did'].'&">Переместить</a><br /> -->' .
    '<a href="viewdir.php?action=cleardir&amp;did='.$_GET['did'].'&">Очистить</a><br />' .
    '<a href="viewdir.php?action=chmod&amp;did='.$_GET['did'].'&">Права доступа</a><br />' .
    '<a href="viewdir.php?action=info&amp;did='.$_GET['did'].'&">Свойста</a><br />';
        $up = str_replace("%2f", "/", $_GET['did']);
        $up = dirname(realpath($up));
        $up = str_replace("/","%2f",$up);
        echo '<a href="?did='.$up.'%2f">Назад</a></div>';
    } else {
        echo '<div class="rmenu">Ошибка! Папка не найдена!</div>';
    }
}
if($_GET['action']=="go"){
    if(empty($_POST['url'])){
        header("Location: index.php");
        exit;
    } else {
        $_POST['url'] = str_replace('/', '%2f', $_POST['url']);
        header('Location: index.php?did='.$_POST['url']);
        exit;
    }
}
if ($_GET['action']=="viewfile"){
    if (file_exists($_GET['fid']) || is_file($_GET['fid'])){
        $_GET['fid'] = str_replace("/", "%2f", $_GET['fid']);
        $smf = str_replace("%2f", "/", $_GET['fid']);
        $p = strtolower(substr($smf, 1 + strrpos($smf, "/")));
        $sf = str_replace($root, "", $smf);
        $sf = str_replace("../", "", $sf);
        echo '<div class="bmenu">Функции файла: <b>'.$sf.'</b></div>' .
        '<div class="menu">' .
        '<a href="http://'.$_SERVER['HTTP_HOST'].'/'.$sf.'">Просмотреть файл</a><br />';
        $e = strtolower(substr($sf, 1 + strrpos($sf, ".")));
        if ($e=="rar"){
            echo '<a href="viewfile.php?action=rar_view&amp;fid='.$_GET['fid'].'">Просмотр архива</a><br />';
        }
        if ($e=="zip" || $e=="jar"){
            echo '<a href="unzip.php?zip='.$_GET['fid'].'">Распаковать архив</a><br />' .
            '<a href="zip.php?arch='.$_GET['fid'].'">Просмотр архива</a><br />';
        } elseif ($e == "jpg" || $e == "jpeg" || $e == "png" || $e == "gif") {
            echo '';
        } else {
            echo '<a href="edit.php?fid='.$_GET['fid'].'">Редактировать в блокноте</a><br />' .
            '<a href="unzip.php?action=inzip&amp;zip='.$_GET['fid'].'&amp;q=1">Запаковать</a><br />';
        }
        echo '<a href="viewfile.php?action=rename&amp;fid='.$_GET['fid'].'">Переименовать</a><br />' .
        '<a href="perenos.php?copy='.$_GET['fid'].'">Переместить</a><br />' .
        '<a href="copy.php?copy='.$_GET['fid'].'">Копировать</a><br />' .
        '<a href="viewfile.php?action=delfile&amp;fid='.$_GET['fid'].'">Удалить</a><br />' .
        '<!-- <a href="?action=iconv&amp;fid='.$_GET['fid'].'">Изменить кодировку</a><br />' .
        '<a href="viewfile.php?action=chmod&amp;fid='.$_GET['fid'].'">Права доступа</a><br /> -->';
if ($e=="zip" || $e=="rar" || $e=="jar" || $e=="jpg" || $e=="png" || $e=="gif"  || $e=="ico") {
    echo '';
} else {
    echo '<a href="viewfile.php?action=view&amp;fid='.$_GET['fid'].'">Просмотр кода</a><br />';
}
echo '<a href="viewfile.php?action=clearfile&amp;fid='.$_GET['fid'].'">Очистить</a><br />' .
'<a href="viewfile.php?action=info&amp;fid='.$_GET['fid'].'&">Свойста</a><br />' .
'<a href="?did='.str_replace($p, "", $_GET['fid']).'">Выйти</a><br />';
    } else {
        echo '<div class="rmenu">Ошибка! Файл не найден!';
    }
echo '</div>';
}
if ($_GET['action']=="errorno"){
    echo '<div class="bmenu">Нашли ошибку или баг в ' . PARED . '?</div>' .
    '<div class="menu">' .
    'Есл Вы нашли ошибку или баг в работе ' . PARED . ', то немедля сообщите мне на email<br /><a href="mailto:wapik.ja@yandex.ru"><b>wapik.ja@yandex.ru</b></a> или напишите мне в ICQ <b>41640781</b>. Убедительная прозьба,<br />опишите подробно, что у Вас не работает. Ошибки будут исправлены в следующей<br />версии. Удачи&nbsp;<img src="img/1.gif" alt="" />' .
    '</div>';
}
//----------------------КОНЕЦ-------------------
if (!isset($_GET['action'])){
    echo '<div class="header"><b>Функции</b></div>' .
    '<div class="menu"><ol>' .
    '<li><a href="change.php?did='.$_GET['did'].'">Расширенный режим</a></li>';
    $_GET['did'] = str_replace("/", "%2f", $_GET['did']);
    echo '<li><a href="other.php?action=dir&amp;did='.$_GET['did'].'">Создать папку</a></li>' .
    '<li><a href="other.php?action=file&amp;did='.$_GET['did'].'">Создать файл</a></li>' .
    '<li><a href="scaner.php">Сканер сайтов</a></li>' .
    '<li><a href="other.php?action=uplop&amp;r=pk&amp;did='.$_GET['did'].'">Загрузить через HTML</a></li>' .
    '<!-- <li><a href="other.php?action=uplop&amp;r=op&amp;did='.$_GET['did'].'">Выгрузить с Opera</a></li> -->' .
    '<li><a href="other.php?action=uplop&amp;r=imp&amp;did='.$_GET['did'].'">Загрузить по HTTP(URL)</a></li>';
?>
<li><a href="?action=phpinfo">phpinfo</a></li>
<li><a href="?action=errorno">Нашли ошибку или баг в <? echo PARED; ?>?</a></li>
<li><a href="get.php">Импорт грабб</a></li>
<li><a href="rename.php">Массовая переименовка</a></li>
<li><a href="impsql.php">Импорт SQL</a></li>
<li><a href="mysql.php">PHPmyAdmin</a></li>
<li><a href="menu.php">Настройки</a></li></ol></div>
<?php
}

include_once "foot.php";